WMLENOVO(1)

NAME
wmlenovo - A dockapp to monitor status of up to 2 batteries, cpu, gpu, motherboard temp, fan and cpu speed on Lenovo laptops.

DESCRIPTION
This manual page documents briefly the wmlenovo command.

wmlenovo is a program to monitor status of one or two batteries cpu, gpu, motherboard temp, fan and cpu speed using ACPI ( http://acpi.sf.net ) and functionality of thinkpad_acpi module. It is a dockapp that is supported by X window managers such as Window Maker, AfterStep, BlackBox, Fluxbox and Enlightenment. In the top half the sum of the remaining time of all existing batteries its displayed when the system runs in battery mode. Otherwise, the time is displayed, until the currently charging battery is complete charged. When on AC and the batteries are not charging, AC is displayed. Below, current capacity of availible batteries is displayed in percent and in form of bar. Another bar is displayed current fan speed. In the bottom half, there are 4 indicators: The left is shown when on AC. The two battery symbols in the middle are shown when the corresponding battery is discharging, and animated if it is charging. The animation speed may be set with the -s option. On the right there is an indicator which is displayed when the remaining capacity of all batteries is less than a certain (default:20) percentage of the maximum capacity of all batteries. The last line may be used to display either CPU,GPU, Motherboard temperature or the current power consumption or current CPU speed. The mode of the last line may be set with the -m option. when -m s is given, the display switches between all modes in a certain time (option -ts). That line may also be switched manually by rightclicking in the dockapp. The back-light may be turned on/off by clicking the mouse button 1 (left) over the application. If battery status is below a critical level, an alarm-mode will alert you by turning on and off back-light. wmlenovo makes use of a config file which may be given via command line option ,$HOME/.wmlenovorc or /etc/wmlenovo, whichever comes first. An example may be found in the source distribution of wmlenovo. Please note that colors should be defined as name (red), rgb notation (rgb:FF/00/00) or web notation with quotation marks ("#ff0000")!

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (--). A summary of options is included below.

-d, --display <string>
    Attempt to open a window on the named X display. In the absence of this option, the display specified by the DISPLAY environment variable is used.

-bl, --backlight
    turn on back-light

-lc, --light-color <color>
    back-light background color (rgb:FF/99/99 is default)

-nc, --sign-light-color <color>
    signs back-light color (rgb:AA/77/77 is default)

-fc, --foreground-color <color>
    foreground color (rgb:FF/00/00 is default)

-rc, --backlight-foreground-color <color>
    foreground color for backlight (rgb:FF/00/00 is default)

-bc, --background-color <color>
    background color (rgb:22/22/22 is default)

-sc, --sign-color <color>
    signs color (rgb:77/22/22 is default)

-i, --interval <number>
    number of secs between updates (1 is default)

-c, --config <string>
    config file to use, otherwise $HOME/.wmlenovorc or /etc/wmlenovo will be used

-a, --alarm <number>
    low battery level when to raise alarm (20 is default)

-h, --help
    show help text and exit

-v, --version
    show program version and exit

-w, --windowed
    run the application in windowed mode

-bw, --broken-wm
    activate broken window manager fix

-n, --notify <string>
    command to launch each time there is alarm

-s, --suspend <string>
    set command for acpi suspend

-S, --standby <string>
    set command for acpi standby

-m, --mode [t|r|s]
    set mode for the lower row , t=CPU temperature,r=current rate,v=GPU temperature, m=Motherboard temperature,p=CPU speed,s=toggle

-ts, --togglespeed <integer>
    set togglespeed in seconds

-as, --animationspeed <integer>
    set speed for charging animation in msec

-hs, --historysize <integer>
    set size of history for calculating average power consumption rate

AUTHOR
wmlenovo was assembled by Aliaksei Ivaniuk aka Varjat <varjat@gmail.com>